org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans

## Class FallbackMethodGenericBeanA

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodGenericBeanB<Long>
  - - org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodGenericBeanA

    @ApplicationScoped
    public class FallbackMethodGenericBeanA
    extends FallbackMethodGenericBeanB<Long>

### Constructor Summary

Constructors
Constructor and Description
`FallbackMethodGenericBeanA()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `method(int a, Long b)`

### Methods inherited from class org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodGenericBeanB

`fallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FallbackMethodGenericBeanA

    public FallbackMethodGenericBeanA()

### Method Detail

#### method

    @Fallback(fallbackMethod="fallback")
    public String method(int a,
                                                              Long b)